SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteBatchSchedule] (
	@VCC VARCHAR(50) = NULL, 
	@BatchType VARCHAR(50) = NULL,
	@ID VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	-- ELIMINAMOS LA AGENDA
	DELETE [dbo].[BatchSchedule] 
		WHERE [VCC] = @VCC
			AND [BatchType] = @BatchType
			AND [ID] = @ID

	-- ELIMINAMOS LAS EJECUCIONES
	DELETE [dbo].[BatchScheduleExecution] 
		WHERE [VCC] = @VCC
			AND [BatchScheduleId] = @ID
    
	-- RETORNAMOS EL RESULTADO
	SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
