SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE DeleteCustomFields 
	@VCC VARCHAR(50) = NULL, 				
	@CustomFieldIds VARCHAR(MAX) = NULL
AS
BEGIN
	SET NOCOUNT ON;

    DECLARE @_IDS TABLE(
	 ID VARCHAR(50)
	)

    INSERT INTO @_IDS SELECT [Value] FROM [dbo].[Split](@CustomFieldIds,',')

	-- ELIMINAMOS LOS RESULTS DEL CUSTOM FIELD
	DELETE FROM [dbo].[CustomFieldResult] 
		WHERE [VCC] = @VCC 
			AND [CustomFieldId] IN (SELECT [ID] FROM @_IDS)

	-- ELIMINAMOS EL CUSTOM FIELD
	DELETE FROM [dbo].[CustomField]
		WHERE [VCC] = @VCC 
			AND [ID]  IN (SELECT [ID] FROM @_IDS)
		
	-- RETORNAMOS RESULTADO 1
	SELECT 1 'result'
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
