SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[DeleteGroups] 
	@Instance VARCHAR(50) = NULL,
	@GroupIDs VARCHAR(MAX) = NULL
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    DECLARE @_IDS TABLE(
	 ID VARCHAR(50)
	)

    INSERT INTO @_IDS SELECT [Value] FROM [dbo].[Split](@GroupIDs,',')

	DELETE FROM [Group]
		WHERE [Instance] = @Instance
		AND [ID] IN (SELECT [ID] FROM @_IDS)   
	SELECT 1 AS 'result'	
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
