SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteSinglePermission] (
	@VCC Varchar(50) = NULL, @Type Varchar(50) = NULL, @Element Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	
	DELETE FROM [RolePermission]
    WHERE [VCC] = @VCC
    AND [GroupId] = 'SINGLE_PERM_' + @Type + '_' + @Element
	
	DELETE FROM [RolePermissionsGroup]
    WHERE [VCC] = @VCC
    AND [GroupId] = 'SINGLE_PERM_' + @Type + '_' + @Element
    AND [Category] = 'CATEG_GROUP_' + @Type

	DELETE FROM [SinglePermission]
    WHERE [VCC] = @VCC
    AND [GroupId] = 'SINGLE_PERM_' + @Type + '_' + @Element
    AND [Type] = @Type
    AND [Element] = @Element

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
