SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetBatchErrors] (
	@VCC VARCHAR(50) = NULL,
	@BatchType VARCHAR(25) = NULL,
	@BatchTypeId VARCHAR(50) = NULL
) AS 
BEGIN 
    SET NOCOUNT ON

	--
	SELECT BE.[BatchType]					'batchType',
			BE.[BatchTypeId]				'batchTypeId',
			BE.[BatchTypeName]				'batchTypeName',
			BE.[Implementation]				'implementation',
			BE.[InteractionId]				'interactionId',
			BE.[Query]						'query',
			BE.[ErrorFunction]				'errorFunction',
			BE.[ErrorMessage]				'errorMessage',
			BE.[ErrorDetail]				'errorDetail'
		FROM [dbo].[BatchError] BE (NOLOCK)
		WHERE BE.[VCC] = @VCC 
			AND BE.[BatchType] = @BatchType
			AND BE.[BatchTypeId] = @BatchTypeId

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
