SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetCustomFieldResults] (
	@VCC VARCHAR(50) = NULL,
	@CustomFieldId VARCHAR(100) = NULL,
	@EvaluationPlanId VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON


    DECLARE @QUERY VARCHAR(MAX) = ''
    SET @QUERY += 'SELECT CFR.[ID]			    ''id'',
				CFR.[Description]				''description'',
				CFR.[Order]						''order'' FROM '

    IF(@EvaluationPlanId IS NOT NULL AND @EvaluationPlanId <> '')
    BEGIN 

		SET @QUERY += ' [HistoricCustomFieldResult] CFR (NOLOCK)
			WHERE CFR.[EvaluationPlanId] = '''+@EvaluationPlanId + ''' AND '
    END
    ELSE
    BEGIN 
        SET @QUERY += ' [CustomFieldResult] CFR (NOLOCK) WHERE '
    END

	SET @QUERY += ' CFR.[VCC] ='''+ @VCC+'''
				    AND CFR.[CustomFieldId] ='''+ @CustomFieldId+'''
			        ORDER BY CFR.[Order] ASC'
	EXEC(@QUERY)

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
