SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEntity] (
	@VCC				VARCHAR(50) = NULL,
	@AppId				VARCHAR(50) = NULL,
	@ID					VARCHAR(50) = NULL,
	@Name				VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]							'vcc',
		[AppId]							'appId',
		[ID]							'id',
		[Name]							'name',
		[Type]							'type',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [dbo].[Entity] E(NOLOCK)
	WHERE E.[VCC] = @VCC
		AND E.[AppId] = @AppId
		AND E.[ID] = CASE WHEN @ID IS NULL THEN E.[ID] ELSE @ID END
		AND E.[Name] = CASE WHEN @Name IS NULL THEN E.[Name] ELSE @Name END 

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
