SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationFormatCustomFields] (
	@VCC VARCHAR(50) = NULL, 
	@EvaluationFormatId VARCHAR(50) = NULL,
	@EvaluationPlanId   VARCHAR(50) = NULL
) AS 
BEGIN
	SET NOCOUNT ON
	DECLARE @QUERY VARCHAR(MAX) = ''
	SET @QUERY += ' SELECT EFCF.[VCC]						''vcc'',
					EFCF.[ID]								''id'',
					EFCF.[CustomFieldId]					''customFieldId'',
					EFCF.[Order]							''order'' FROM '

	IF(@EvaluationPlanId IS NOT NULL AND @EvaluationPlanId <> '')
	BEGIN

		SET @QUERY += ' [dbo].[HistoricEvaluationFormatCustomField] EFCF (NOLOCK)
				        WHERE EFCF.[EvaluationPlanId] ='''+@EvaluationPlanId+''' AND '
	END 
	ELSE
	BEGIN 
       SET @QUERY += ' [dbo].[EvaluationFormatCustomField] EFCF (NOLOCK) WHERE '
	END

	SET @QUERY += ' EFCF.[VCC] =  '''+@VCC + ''' AND EFCF.[EvaluationFormatId] ='''+ @EvaluationFormatId+ ''' 
				    ORDER BY EFCF.[Order] ASC '

	EXEC(@QUERY)

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
