SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetEvaluationPlanGroups] (
	@VCC VARCHAR(50) = NULL, 
	@EvaluationPlanId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT HG.[ID]							'id',
			HG.[Description]				'description'
		FROM [HistoricGroup] HG (NOLOCK)
		WHERE HG.[VCC] = @VCC
			AND HG.[EvaluationPlanId] = @EvaluationPlanId
		ORDER BY HG.[Description] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
