SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetFiltersFromEvaluation] 
(
	@VCC					VARCHAR(50) = NULL,
	@UserId					VARCHAR(50) = NULL,
	@Campaigns				VARCHAR(MAX) = NULL,
	@SearchType				VARCHAR(50) = NULL,
	@EfectivityMode			BIT = 0
) 
AS
BEGIN
	EXEC [dbo].[GetCampaignsFromEvaluation] @VCC, @UserId,@SearchType,@EfectivityMode
	EXEC [dbo].[GetAgentsFromEvaluation] @VCC, @UserId,@Campaigns,@SearchType,@EfectivityMode
	EXEC [dbo].[GetDispositionCodesFromEvaluation]  @VCC, @UserId,@Campaigns,@SearchType,@EfectivityMode
	EXEC [dbo].[GetInteractionTypes] @VCC, @SearchType, null	
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
