SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetGenericQuery]
(
	@VCC							VARCHAR(50) = NULL,
	@Name							VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]						'vcc',
		[Name]						'name',
		[Description]				'description',
		[Query]						'query',
		[RawData]					'rawData',
		[CreatedDate]				'createdDate',
		[CreatedByUserId]			'createdByUserId',
		[LastModifiedDate]			'lastModifiedDate',
		[LastModifiedByUserId]		'lastModifiedByUserId',
		[Version]                   'version'
	FROM
		[dbo].[GenericQuery] (NOLOCK)
	WHERE
		[VCC] = @VCC
		AND [Name] = @Name

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
