SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetIntentByAppId] (
	@VCC		VARCHAR(50) = NULL,
	@AppId		VARCHAR(50) = NULL,
	@Name		VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Name]						    'name',
		[IntentId]						'intentId',
		[Color]							'color',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Intent] (NOLOCK)
	WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END
	AND [AppId] = @AppId
	AND [Name] = @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
