SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetNLU] NULL,'test2'
CREATE PROCEDURE [dbo].[GetNLU] (
	@VCC Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]							'vcc',
		[Name]						    'name',
		[CognitiveEngine]				'cognitiveEngine',
		[Culture]						'culture',
		[Description]					'description',
		[AppId]							'appId',
		[SubscriptionKey]				'subscriptionKey',
		[IsSystemApp]					'isSystemApp',
		[NeedTrain]						'needTrain',
		[LastTrainedDate]				'lastTrainedDateTime',
		[LastPublishedDate]				'lastPublishedDateTime',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [NLU] (NOLOCK)
	WHERE [VCC] = CASE WHEN ISNULL(@VCC, '') = '' THEN [VCC] ELSE @VCC END 
	AND [Name] = @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
