SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetNlusUsage]
(
	@VCC	    VARCHAR(50),
	@NluNames		VARCHAR(MAX)= NULL
)
AS
BEGIN
	SET NOCOUNT ON

	DECLARE @NLUS TABLE (
	  ID VARCHAR(200),
	  QueryId VARCHAR(200)
	)
	
		DECLARE @FOUND_IN_TTI BIT = 0
		
	    DECLARE @FOUND_IN_ABILITY BIT = 0
	    
	    DECLARE @IN_USE BIT =0
    
		INSERT INTO @NLUS SELECT CONCAT(N.[Name],'|',I.[Name]),I.[IntentId] FROM [NLU] N (NOLOCK) 
		JOIN [Intent] I (NOLOCK) ON (N.[AppId] = I.[AppId] AND N.[VCC] = I.[VCC]) 
		WHERE N.[VCC] = @VCC AND N.[Name] IN (SELECT [Value] FROM [dbo].[Split](@NluNames,','))

	   -- VALIDAR PARA ESTUDIOS
	   IF(EXISTS( SELECT TTI.[ID] FROM  [TemplateThemeItem] TTI (NOLOCK) 
	   WHERE TTI.VCC = @VCC AND TTI.[ID] IN (SELECT [ID] FROM @NLUS) ))		
	   BEGIN 
	        SET @FOUND_IN_TTI = 1
	   END


	   --VALIDAR PARA PLAN
	
		 IF(EXISTS( SELECT [QueryId] FROM AbilityQuery (NOLOCK) WHERE [VCC] = @VCC AND [QueryId] IN (SELECT [QueryId] FROM @NLUS) )) 
		 BEGIN 
		 SET @FOUND_IN_ABILITY = 1
		 END 
		 
		  IF(@FOUND_IN_TTI=1 OR @FOUND_IN_ABILITY =1 )
		  BEGIN 
		  SET @IN_USE = 1
		  END 
		
	  SELECT @IN_USE AS 'inUse'
	
		SET NOCOUNT OFF
	END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
