SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetProcessChannelByProcessId]
(
	@VCC				VARCHAR(50),
	@ProcessId			VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	-- BUSCAMOS LOS INTERACTIONTYPES(CHANNELS) SELECCIONADOS EN EL PROCESS
	SELECT PF.[Value] 
		FROM [dbo].[ProcessFilter] PF (NOLOCK) 
		WHERE PF.[VCC] = @VCC 
			AND PF.[ProcessId] = @ProcessId 
			AND (PF.[Key] = 'types' OR PF.[Key] = 'channel') 

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
