SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetProcessFilters] 'inconcert','test'
CREATE PROCEDURE [dbo].[GetProcessFilters] (
	@VCC Varchar(50) = NULL, @ProcessId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ProcessId]						'processId',
		[Key]							'key',
		[Value]							'value',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [ProcessFilter] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [ProcessId] = @ProcessId
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
