SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetRolePermissionsGroups] (
	@VCC Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON 

	SELECT
		[Category]						    'category',
		[GroupId] 							'groupId',
		[Type]								'type'
	FROM [RolePermissionsGroup] (NOLOCK)
	WHERE [VCC] = @VCC
	AND (
		[Type] IN ((SELECT  [Product] FROM [VCCLicense] (NOLOCK) WHERE VCC =@VCC))
		OR 
		[Type] = 'SHARED'
	)
	GROUP BY [GroupId],[Category],[Type]
	ORDER BY [GroupId] ASC
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
