SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE[dbo].[GetSoundLikesFromDictionaryWords] 
	@VCC					VARCHAR(50) = NULL,
	@DictionaryWordId		VARCHAR(50) = NULL,
	@SoundLikes             VARCHAR(MAX) = NULL
AS
BEGIN
	SET NOCOUNT ON;
	SELECT [SoundLike] 'soundLike',
		   [Word] 'word'
		FROM [dbo].[DictionaryWordSoundLike] SL (NOLOCK)
		INNER JOIN [dbo].[DictionaryWord] DW (NOLOCK)
			ON SL.DictionaryWordId = DW.ID
		WHERE SL.[VCC] = @VCC 
			AND [DictionaryWordId] != @DictionaryWordId
			AND [SoundLike] in (SELECT VALUE FROM STRING_SPLIT(@SoundLikes, ','))
   
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
