SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetCategoryByName] 'default','BAnca'
CREATE PROCEDURE [dbo].[GetStudyByName] (
	@VCC Varchar(50) = NULL, @Name Varchar(200) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[processId]						'processId',
		[templateId]					'templateId',
		[Name]						    'name',
		[Description]					'description',
		[Type]							'type',
		[Status]						'status',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Study] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Name] = @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
