SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


create PROCEDURE [dbo].[GetSupervisors] (
	@VCC VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON
 	SELECT U.[VCC]															'vcc',
			U.[Id]															'userId',
			CONCAT(U.[Firstname], ' ', ISNULL(U.[Lastname], ''))			'userName',
			NULL															'campaignId',
			NULL															'workGroupId'
		FROM [dbo].[User] U (NOLOCK)
		WHERE U.[VCC] = @VCC
			AND (
				U.[IsLocalSupervisor] = 1
				OR
				U.[IsExternalSupervisor] = 1
			)
 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
