SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetTemplateThemes] 'system','C6F633E4-4DC0-409E-980C-590CAB2DAC33'
CREATE PROCEDURE [dbo].[GetTemplateThemes] (
	@VCC Varchar(50) = NULL, @TemplateId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[TemplateId]					'templateId',
		[ID]							'id',
		[Order]							'order',
		[Description]					'description',
		[Category1]						'category1',
		[Category2]						'category2',
		[AnalysisType]                  'analysisType',
		[IsNegative]                    'isNegative',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [TemplateTheme] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [TemplateId] = CASE WHEN ISNULL(@TemplateId, '') = '' THEN [TemplateId] ELSE @TemplateId END
	ORDER BY [Order] asc

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
