SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetTipificationItems] (
	@VCC VARCHAR(50) = NULL, 				
	@TipificationId VARCHAR(50) = NULL
)
AS
BEGIN
	SET NOCOUNT ON

	--
	SELECT TI.[ID]								'id',
			TI.[SecondLevelItemId]				'secondLevelItemId',
			TI.[Description]					'description',
			TI.[Order]							'order'
		FROM [dbo].[TipificationItem] TI (NOLOCK)
		WHERE TI.[VCC] = @VCC 
			AND TI.[TipificationId] = @TipificationId
		ORDER BY TI.[Order] ASC
	
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
