SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[GetUtterancesByIntentId] 'allegro', '45799dd8-17e7-49a1-9bd8-cb74f00a788c'
CREATE PROCEDURE [dbo].[GetUtteranceEntities]
(
	@VCC			VARCHAR(50),
	@UtteranceId	VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	-- BUSCAMOS LOS UTTERANCE ENTITIES SEGUN LOS PARAMETROS RECIBIDOS
	SELECT UE.[VCC]									'vcc',
			UE.[UtteranceId]						'utteranceId',
			UE.[EntityName]							'entityName',
			UE.[Start]								'start',
			UE.[End]								'end',
			UE.[StartTokenIndex]					'startTokenIndex',
			UE.[EndTokenIndex]						'endTokenIndex'
		FROM [dbo].[UtteranceEntity] UE (NOLOCK)
		WHERE UE.[VCC] = @VCC
			AND UE.[UtteranceId] = @UtteranceId
		ORDER BY UE.[Start] ASC

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
