SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

-- [dbo].[GetWordBlacklist] 'default', '1FC1C683-191F-4A46-A932-31C5D8116FC2'
CREATE PROCEDURE [dbo].[GetWordBlacklist]
(
	@VCC			VARCHAR(50),
	@ProcessId		VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]							'VCC',
		[ProcessId]						'processId',
		[Word]							'word',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM
		WordBlacklist WITH (NOLOCK)
	WHERE
		[VCC]	= @VCC AND
		[ProcessId] = @ProcessId
		
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
