SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[InsertUserHistory](
	@VCC Varchar(50) = NULL, @UserId Varchar(50) = NULL, @UserRole Varchar(50) = NULL,
	@Event Varchar(50) = NULL, @EventDate Datetime = NULL, @EventDetail Varchar(200) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	INSERT INTO [UserHistory] (
		[VCC], [UserId], [UserRole],
		[Event], [EventDate], [EventDetail],
		[TimeStamp]
		) 
	VALUES (
		@VCC, @UserId, @UserRole,
		@Event, @EventDate, @EventDetail,
		GETUTCDATE()
	)

    SELECT 1 AS 'result'
    
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
