SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveAbilityEvaluationFormat] (
	@Instance Varchar(50) = NULL, 				@IdEvaluationFormat Varchar(50) = NULL,	@IdAbility Varchar(50) = NULL,
	@IdGroup Varchar(50) = NULL,			    @IdSubGroup Varchar(50) = NULL, @Score numeric(5,2) = 0, @Penalizes varchar(3) = 'NO',  @Order numeric(3) = 0,
	@Conditional Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	INSERT INTO [AbilityEvaluationFormat] (
		[Instance], [IdEvaluationFormat], [IdAbility],
		[IdGroup], [IdSubGroup], [Score], [Penalizes], [Order], [Conditional],
		[TimeStamp]
		)
	VALUES (
		@Instance, @IdEvaluationFormat, @IdAbility, @IdGroup, @IdSubGroup, @Score, @Penalizes, @Order, @Conditional,
		GETUTCDATE()
	)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
