SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveAuditorEvPlanResult] (
	@Instance Varchar(50) = NULL,
	@IdEvaluationPlan Varchar(50) = NULL,
	@idAuditor Varchar(50) = NULL,
	@idInteraction Varchar(50) = NULL,
	@interactionType Varchar(50) = NULL,
	@idAgent Varchar(50) = NULL,
	@score numeric(5,2) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [dbo].[AuditorEvaluationPlan]
	set [score] = @score, 
		[Completed] = 1,
		[StatusDescription] = 'COMPLETED',
		[LastModifiedDate] = GETUTCDATE(),
		[TimeStamp] = GETUTCDATE()
	WHERE
		[idEvaluationPlan] = @IdEvaluationPlan
		AND [Instance] = @Instance
		AND [IdAuditor] = @idAuditor
		AND [IdAgent] = @idAgent
		AND [IdInteraction] = @idInteraction
		AND [InteractionType] = @interactionType
		AND [Completed] <> 1

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
