SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[SaveAzureSubscriptionKey] (
	@VCC Varchar(50) = NULL, 				
	@SubscriptionKey Varchar(50) = NULL,				
	@SubscriptionRegion Varchar(50) = NULL,			
	@SubscriptionName Varchar(50) = NULL,
	@IsDemo Bit = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [AzureSubscriptionKey]
	SET [SubscriptionKey] = @SubscriptionKey,
		[SubscriptionRegion] = SubscriptionRegion,
		[SubscriptionName] = @SubscriptionName,
		[IsDemo] = @IsDemo
	WHERE [VCC] = @VCC
		AND [SubscriptionName] = @SubscriptionName

    IF @@ROWCOUNT = 0
		INSERT INTO [AzureSubscriptionKey] (
			[VCC],[SubscriptionKey],
			[SubscriptionRegion],
			[SubscriptionName],
			[IsDemo]
			)
		VALUES (
			@VCC,@SubscriptionKey,
			@SubscriptionRegion, 
			@SubscriptionName,
			@IsDemo
		)

    SELECT 1 AS 'result'

    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
