SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO


CREATE PROCEDURE [dbo].[SaveCategoryPermission] (
	@VCC Varchar(50) = NULL, 					@Category Varchar(50) = NULL,					@Position Int = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
	
	UPDATE [CategoryPermissions]
	SET [Category] = @Category,
		[Position] = CASE WHEN @Position IS NULL THEN [Position] ELSE @Position END,
		[TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC

    IF @@ROWCOUNT = 0
	BEGIN
		INSERT INTO [CategoryPermissions] (
			[VCC], [Category], [Position], [TimeStamp]
			)
		VALUES (
			@VCC, @Category, @Position, GETUTCDATE()
		)
	END
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
