SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveUserClient] (
	@VCC Varchar(50) = NULL, 			@UserId Varchar(50) = NULL, 		@ClientId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [UserClient]
	SET [TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC
	AND [UserId] = @UserId
	AND [ClientId] = @ClientId

    IF @@ROWCOUNT = 0
		INSERT INTO [UserClient] (
			[VCC], [UserId], [ClientId],
			[TimeStamp]
			)
		VALUES (
			@VCC, @UserId, @ClientId,
			GETUTCDATE()
		)

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
