CREATE TABLE [dbo].[Audio] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](100) NOT NULL ,
   [Section] [numeric](5,0) NOT NULL  ,
   [Part] [numeric](5,0) NOT NULL  ,
   [Channel] [varchar](50) NULL 
      CONSTRAINT [DF_Audio_Channel] DEFAULT ('CALL'),
   [Number] [varchar](50) NULL ,
   [Gender] [varchar](50) NULL ,
   [Format] [varchar](50) NULL ,
   [SilenceTime] [numeric](12,3) NULL  ,
   [DurationTime] [numeric](12,3) NULL  ,
   [MediaInfoTime] [numeric](12,3) NULL  ,
   [DurationLinguisticTime] [numeric](12,3) NULL  ,
   [IsDiariced] [bit] NULL   ,
   [ChannelsChanged] [bit] NULL   ,
   [ValidChar] [int] NULL 
      CONSTRAINT [DF_Audio_Char] DEFAULT ((0))  ,
   [ValidWords] [int] NULL 
      CONSTRAINT [DF_Audio_Words] DEFAULT ((0))  ,
   [TotalPhrases] [int] NULL 
      CONSTRAINT [DF_Audio_TotalPhrases] DEFAULT ((0))  ,
   [CharsPerPhrase] [int] NULL 
      CONSTRAINT [DF_Audio_CharsPerPhrase] DEFAULT ((0))  ,
   [Category1] [varchar](100) NULL ,
   [Category2] [varchar](100) NULL ,
   [Category3] [varchar](100) NULL ,
   [Description] [varchar](100) NULL ,
   [Campaign] [varchar](100) NULL ,
   [Agent] [varchar](50) NULL ,
   [AgentName] [varchar](100) NULL ,
   [Type] [varchar](50) NULL ,
   [Init] [varchar](50) NULL ,
   [IsProcess] [bit] NULL   ,
   [IsCancel] [bit] NULL   ,
   [IsTranscribed] [int] NULL   ,
   [NeedI6Update] [bit] NULL   ,
   [StartDate] [datetime] NULL   ,
   [EndDate] [datetime] NULL   ,
   [DispositionCode] [varchar](50) NULL ,
   [RelativePath] [varchar](500) NULL ,
   [FileName] [varchar](200) NULL ,
   [ErrorMessage] [varchar](max) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [ContactId] [varchar](50) NULL ,
   [ContactName] [varchar](300) NULL ,
   [ContactAddress] [varchar](300) NULL ,
   [RelativeFileName] [varchar](1000) NULL 

   ,CONSTRAINT [PK_Audio_1] PRIMARY KEY CLUSTERED ([VCC], [ID], [Section], [Part])
)


GO
