CREATE TABLE [dbo].[HistoricAbility] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Title] [varchar](100) NULL ,
   [Detail] [varchar](500) NULL ,
   [Type] [varchar](50) NULL ,
   [CalificationType] [varchar](50) NULL ,
   [Binary] [bit] NULL   ,
   [NotApply] [bit] NULL   ,
   [Distribute] [bit] NULL   ,
   [AcceptComments] [bit] NULL   ,
   [Enabled] [bit] NULL   ,
   [AnalysisType] [varchar](25) NULL ,
   [Query] [varchar](1000) NULL ,
   [QueryName] [varchar](50) NULL ,
   [Language] [varchar](50) NULL ,
   [IsNegative] [bit] NULL   ,
   [EvaluationPlanId] [varchar](50) NULL 

)

CREATE  NONCLUSTERED INDEX [Index_HistoricAbility] ON [dbo].[HistoricAbility] ([Title], [Detail], [Type], [Query], [EvaluationPlanId], [VCC], [ID])

GO
