CREATE TABLE [dbo].[NLU] (
   [VCC] [varchar](50) NOT NULL ,
   [Name] [varchar](50) NOT NULL ,
   [Culture] [varchar](50) NULL ,
   [Description] [varchar](50) NULL ,
   [AppId] [varchar](100) NULL ,
   [SubscriptionKey] [varchar](50) NULL ,
   [IsPublished] [bit] NULL   ,
   [LastPublishedDate] [datetime] NULL   ,
   [IsTrained] [bit] NULL   ,
   [NeedTrain] [bit] NULL 
      CONSTRAINT [DF_NLU_NeedTrain] DEFAULT ((0))  ,
   [LastTrainedDate] [datetime] NULL   ,
   [IsSystemApp] [bit] NULL 
      CONSTRAINT [DF_NLU_IsSystemApp] DEFAULT ((0))  ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [CognitiveEngine] [varchar](50) NULL ,
   [Status] [smallint] NULL 
      CONSTRAINT [DF__NLU__Status__11F49EE0] DEFAULT ('1')  ,
   [StatusCode] [varchar](50) NULL 
      CONSTRAINT [DF__NLU__StatusCode__12E8C319] DEFAULT ('AVAILABLE'),
   [NeedPublish] [bit] NULL   

   ,CONSTRAINT [PK_NLU] PRIMARY KEY CLUSTERED ([VCC], [Name])
)


GO
