CREATE TABLE [dbo].[Tag] (
   [VCC] [varchar](50) NOT NULL ,
   [AudioId] [varchar](50) NOT NULL ,
   [Section] [numeric](5,0) NOT NULL  ,
   [Part] [numeric](5,0) NOT NULL  ,
   [Tag] [varchar](50) NOT NULL ,
   [CurrentTime] [float] NOT NULL   ,
   [Comment] [varchar](200) NULL ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_Tag] PRIMARY KEY CLUSTERED ([VCC], [AudioId], [Section], [Part], [Tag], [CurrentTime])
)


GO
