CREATE TABLE [dbo].[Transcription] (
   [VCC] [varchar](50) NOT NULL ,
   [ProcessId] [varchar](50) NOT NULL ,
   [InteractionType] [varchar](50) NULL ,
   [Section] [numeric](5,0) NOT NULL  ,
   [Part] [numeric](5,0) NOT NULL  ,
   [ID] [varchar](50) NOT NULL ,
   [Campaign] [varchar](50) NULL ,
   [Folder] [varchar](50) NULL ,
   [Value] [int] NULL   ,
   [CreatedDate] [datetime] NULL 
      CONSTRAINT [DF_TranscriptionQualification_CreatedDate] DEFAULT (getutcdate())  ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL 

   ,CONSTRAINT [PK_Transcription] PRIMARY KEY CLUSTERED ([VCC], [Section], [Part], [ID])
)


GO
