SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE procedure [dbo].[CleanFailedBatchData](
@idEvaluationPlan VARCHAR(50)
)
AS
BEGIN

DELETE FROM InteractionEvaluationPlan WHERE IdEvaluationPlan = @idEvaluationPlan
DELETE FROM AuditorEvaluationPlan WHERE IdEvaluationPlan = @idEvaluationPlan
DELETE FROM EvaluationPlan WHERE id = @idEvaluationPlan

--eliminar historicos generados

DELETE FROM [dbo].[HistoricEvaluationFormat] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricGroup] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricSubGroup] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricAbility] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricAbilityEvaluationFormat] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricAbilityQuery] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricAbilityQueryEntity] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricEvaluationFormatCustomField] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricCustomField] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricCustomFieldResult] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricEvaluationFormatAttachedSignature] WHERE EvaluationPlanId = @idEvaluationPlan
DELETE FROM [dbo].[HistoricCampaignEvaluationFormat] WHERE EvaluationPlanId = @idEvaluationPlan
				



END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
