SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[DeleteUtteranceEntity] (
	@VCC				VARCHAR(50) = NULL,
    @UtteranceId		VARCHAR(50) = NULL,
    @EntityName			VARCHAR(50) = NULL,
    @Start				INT = NULL,
    @End				INT = NULL,
    @EndTokenIndex		INT = NULL,
    @StartTokenIndex	INT = NULL
)
AS
BEGIN
	SET NOCOUNT ON
    
	-- ELIMINAMOS EL UTTERANCE ENTITY QUE COINCIDE CON LOS PARAMETROS INGRESADOS
	DELETE FROM [dbo].[UtteranceEntity] 
		WHERE [VCC] = @VCC
			AND [UtteranceId] = @UtteranceId 
			AND [EntityName] = @EntityName 
			AND [Start] = @Start
			AND [End] = @End
	
    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
