SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetAbilityDetail] (
	@VCC Varchar(50) = NULL,
	@AbilityId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
	AQ.QueryId      'queryId',
	AQ.QueryContent 'queryContent',
	A.[AnalysisType] 'analysisType',
	(
	SELECT [AQE].[EntityName] 'entityName' 
	FROM [dbo].[AbilityQueryEntity] AQE (NOLOCK)
	WHERE [AQE].[VCC] = @VCC AND [AQE].[AbilityQueryId] IN(AQ.ID) FOR JSON AUTO
	)              'entitiesRaw'
	
	FROM [dbo].[AbilityQuery] AQ (NOLOCK)
	JOIN [dbo].[Ability] A (NOLOCK)
	ON A.[Instance] = AQ.[VCC] AND A.[ID] = AQ.[AbilityId]
	WHERE AQ.[VCC]=@VCC AND 
	      AQ.AbilityId= @AbilityId

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
