SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE [dbo].[GetAbilityEvaluationFormat] (
	@Instance Varchar(50) = NULL, @IdEvaluationFormat Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ID]							'id',
		[IdEvaluationFormat]			'idEvaluationFormat',
		[IdAbility]						'idAbility',
		[IdGroup]						'idGroup',
		[IdSubGroup]					'idSubGroup',
		[Penalizes]						'penalizes',
		[Score]							'score',
		[Order]							'order',
		[Conditional]					'conditional'
	FROM [AbilityEvaluationFormat] (NOLOCK)
	WHERE [Instance] = @Instance
	AND [IdEvaluationFormat] = @IdEvaluationFormat
	ORDER BY [Order] ASC

	SET NOCOUNT OFF
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
