SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetAllegroManagementResults] '38.127.113.216', 'inconcert', 0
CREATE PROCEDURE [dbo].[GetAllegroManagementResults]
(
@Ip Varchar(50), @VCC Varchar(50), @Type Int
)
AS
BEGIN

	DECLARE @Sql NVARCHAR(MAX);

	IF(@Type = 0)  
	BEGIN  
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[VCC]							''vcc'',
			[CampaignId]					''campaignId'',
			[Code]							''code'',
			[Description]					''description''
		FROM  [' + @Ip + ']' + '.mmprodat.dbo.[CampaignGoalResultManagement] WITH (NOLOCK)
		WHERE [VCC] = ''' + @VCC + ''''
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE IF(@Type = 1) 
	BEGIN
		SET @Sql = 'SET NOCOUNT ON
		SELECT
			[VCC]							''vcc'',
			[CampaignId]					''campaignId'',
			[Code]							''code'',
			[Description]					''description''
		FROM mmprodat.dbo.[CampaignGoalResultManagement] (NOLOCK)
		WHERE [VCC] = ''' + @VCC + ''''
		SET @Sql += ' 
		SET NOCOUNT OFF'
	END  
	ELSE  
	BEGIN
		SET @Sql = 'SELECT 1 AS ''result'''  
	END

	EXEC (@Sql)

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
