SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

create PROCEDURE [dbo].[GetAzureSubscriptionKeyByKey] (
	@VCC VARCHAR(50) = NULL,
	@SubscriptionKey VARCHAR(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON
 	SELECT ASK.[SubscriptionKey]						'subscriptionKey',
			ASK.[SubscriptionName]						'subscriptionName',
			ASK.[SubscriptionRegion]					'subscriptionRegion',
			ASK.[IsDemo]								'isDemo'
	FROM [dbo].[AzureSubscriptionKey] ASK (NOLOCK)
	WHERE ASK.[VCC] = @VCC
		AND ASK.[SubscriptionKey] = @SubscriptionKey

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
