SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

create PROCEDURE [dbo].[GetDictionary] (
	@VCC					VARCHAR(50) = NULL,
	@DictionaryId			VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	SELECT [Name]					'name',
			[Description]			'description',
			[Language]				'language',
			[CreatedDate]			'createdDate',
			[CreatedByUserId]		'createdByUserId',
			[LastModifiedDate]		'lastModifiedDate',
			[LastModifiedByUserId]	'lastModifiedByUserId'
		FROM [dbo].[Dictionary] (NOLOCK)
		WHERE [VCC] = @VCC
			AND [Name] = @DictionaryId
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
