SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetDictionaryWordSoundLikes] (
	@VCC VARCHAR(50) = NULL, 
	@DictionaryWordIds VARCHAR(MAX) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	-- DECLARAMOS UNA VARIABLE PARA ARMAR EL QUERY
	DECLARE  @SQL VARCHAR(MAX)

	SET @SQL = '
		SELECT [VCC]							''vcc'',
				[DictionaryWordId]				''dictionaryWordId'',
				[ID]							''id'',
				[SoundLike]						''soundLike'',
				[CreatedDate]					''createdDate'',
				[CreatedByUserId]				''createdByUserId'',
				[LastModifiedDate]				''lastModifiedDate'',
				[LastModifiedByUserId]			''lastModifiedByUserId''
			FROM [dbo].[DictionaryWordSoundLike] (NOLOCK)
			WHERE [VCC] = ''' + @VCC + '''
				AND [DictionaryWordId] IN (''' + @DictionaryWordIds + ''') ' 
	
	-- EJECUTAMOS EL QUERY ARMADO
	EXEC(@SQL)

	SET NOCOUNT OFF

END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
