SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--[GetProcessByName] 'inconcert', 'test2'
CREATE PROCEDURE [dbo].[GetEvaluationPlanByName] (
	@VCC Varchar(50) = NULL, 
	@Description Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[ID]						    'id',
		[Description]					'description',
		[Enabled]						'enabled'
	FROM [EvaluationPlan] (NOLOCK)
	WHERE 
	[Instance] = @VCC AND 
	[Description] = @Description
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
