SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

CREATE PROCEDURE[dbo].[GetExistDictionaryWordsSoundLike] 
	@VCC					VARCHAR(50) = NULL,
	@DictionaryWordId		VARCHAR(50) = NULL,
	@SoundLikes             VARCHAR(MAX) = NULL
AS
BEGIN
	SET NOCOUNT ON;
	SELECT SoundLike FROM [dbo].[DictionaryWordSoundLike] (NOLOCK)
		WHERE [VCC] = @VCC 
			AND [DictionaryWordId] != @DictionaryWordId
			AND [SoundLike] in (SELECT VALUE FROM STRING_SPLIT(@SoundLikes, ','))
   
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
