SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[GetInteractionsEvaluationPlanWithoutFilters] (
	@Instance Varchar(50) = NULL,
	@IdEvaluationPlan Varchar(50) = NULL
)
AS
BEGIN
	-- DEPRECATED: NO SE USA EN NINGUN SERVICIO, SE REMOVERA
	SET NOCOUNT ON

 	SELECT
		ae.[IdInteraction]				'id',
		ae.[IdCampaign]					'idCampaign',
		ae.[IdCampaign]					'descriptionCampaign',
		ae.[IdAgent]					'idAgent',
		ae.[IdAgent]					'descriptionAgent',
		ae.[InteractionDate]			'dateIni',
		ae.[InteractionDateEnd]			'dateFin',
		ae.[InteractionDuration]		'interactionTime',
		ae.[Completed]					'evaluated',
		ae.[InteractionType]			'interactionType',
		null							'dispositionCode',
		null							'address',
		null							'origin',
		ae.[Completed]					'completed'
	FROM
	    AuditorEvaluationPlan ae(NOLOCK)
	WHERE
	    ae.Instance = @Instance
	    AND ae.IdEvaluationPlan=@IdEvaluationPlan

 	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
