SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[GetProcessAudioSummary] 'default', 'in_concert'
CREATE PROCEDURE [dbo].[GetProcessAudioSummary]
(
	@VCC					VARCHAR(50),
	@ProcessId				VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]				'vcc',
		[ProcessId]			'processId',
		[Category1]			'category1',
		[Category2]			'category2',
		[Category3]			'category3',
		[Description]		'description',
		[Total]				'total'
	FROM
		[dbo].[ProcessAudioSummary] (NOLOCK)
	WHERE
		[VCC] = @VCC AND [ProcessId] = @ProcessId

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
