SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetProcessAudios] 'allegro','cupo_spain_11'
CREATE PROCEDURE [dbo].[GetProcessAudios] (
	@VCC Varchar(50) = NULL, @ProcessId Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[VCC]						    'vcc',
		[ProcessId]						'processId',
		[AudioId]						'audioId',
		[Section]						'section',
		[Part]							'part',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [ProcessAudio] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [ProcessId] = @ProcessId
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
