SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
--exec [GetTemplateByName] 'default','gss_template'
CREATE PROCEDURE [dbo].[GetTemplateByName] (
	@VCC Varchar(50) = NULL, @Type Varchar(50) = NULL, @Name Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	SELECT
		[Type]							'type',
		[Name]						    'name',
		[Description]					'description',
		[Template]						'template',
		[Category]						'category',
		[CreatedDate]					'createdDate',
		[CreatedByUserId]				'createdByUserId',
		[LastModifiedDate]				'lastModifiedDate',
		[LastModifiedByUserId]			'lastModifiedByUserId'
	FROM [Template] (NOLOCK)
	WHERE [VCC] = @VCC
	AND [Type] = @Type
	AND [Name] = @Name
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
