SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[SaveAudioLinguisticProcess] 'inconcert', 'procesoallegro12345', '011AAB7E-FB67-482A-838F-67CDB31264E4', 0, 1, 228.000, true
CREATE PROCEDURE [dbo].[SaveAudioLinguisticProcess]
(
	@VCC						VARCHAR(50),
	@ID							VARCHAR(50),
	@Section					NUMERIC(5, 0),
	@Part						NUMERIC(5, 0),
	@ProcessId					VARCHAR(50),
	@DurationLinguisticTime		NUMERIC(12, 0),
	@IsTranscribed				INT,
	@LastModifiedDate			DATETIME,
	@LastModifiedByUserId		VARCHAR(50)
)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [dbo].[Audio] SET
	[DurationLinguisticTime] = @DurationLinguisticTime,
	[IsTranscribed] = @IsTranscribed,
	[LastModifiedDate] = @LastModifiedDate,
	[LastModifiedByUserId] = @LastModifiedByUserId
	WHERE
	[VCC] = @VCC AND
	[ID] = @ID AND
	[Section] = ISNULL(@Section, 0) AND
	[Part] = ISNULL(@Part, 0)

	SELECT 1 AS 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
