SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveDictionary] (
	@VCC					VARCHAR(50) = NULL,
	@Name					VARCHAR(50) = NULL,
	@Description			VARCHAR(250) = NULL,
	@Language				VARCHAR(5) = NULL,
	@IsSystemDictionary		BIT = NULL,
	@SaveUser				VARCHAR(50) = NULL
) AS
BEGIN
	SET NOCOUNT ON
	
	-- ESTE SP TIENE LA FINALIDAD DE ACTUALIZAR LOS SALDOS DE LAS CARTERAS DEL VCC
	SET XACT_ABORT, NOCOUNT ON

	-- INSERTAMOS LA NUEVO DICCIONARIO
	INSERT INTO [dbo].[Dictionary] (
			[VCC], [Name], [Description], [Language], [IsSystemDictionary], 
			[CreatedDate], [CreatedByUserId], [TimeStamp]
		)
		VALUES (
			@VCC, @Name, @Description, @Language, @IsSystemDictionary, 
			GETUTCDATE(), @SaveUser, GETUTCDATE()
		)
	
	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
