SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveEvaluationFormatAbilityScoreTipificationQuery] (
	@VCC							VARCHAR(50) = NULL,
	@EvaluationFormatId				VARCHAR(50) = NULL,
	@ScoreId						VARCHAR(50) = NULL,
	@TipificationId					VARCHAR(50) = NULL,
	@QueryId						VARCHAR(50) = NULL,
	@QueryContent					VARCHAR(1000) = NULL,
	@AcceptancePercentage			DECIMAL(18, 2) = NULL
) AS
BEGIN
	SET NOCOUNT ON

	-- ACTUALIZAMOS EL REGISTRO EN CASO YA EXISTA
	UPDATE [EvaluationFormatAbilityScoreTipificationQuery]
		SET [QueryId] = @QueryId,
			[QueryContent] = @QueryContent,
			[AcceptancePercentage] = @AcceptancePercentage,
			[TimeStamp] = GETUTCDATE()
		WHERE [VCC] = @VCC
			AND [EvaluationFormatId] = @EvaluationFormatId
 			AND [ScoreId] = @ScoreId
			AND [TipificationId] = @TipificationId

	IF @@ROWCOUNT = 0
	BEGIN
		INSERT INTO [EvaluationFormatAbilityScoreTipificationQuery] (
			[VCC], [EvaluationFormatId], [ScoreId], [TipificationId], [QueryId], 
			[QueryContent], [AcceptancePercentage], [TimeStamp]
		)
		VALUES (
			@VCC, @EvaluationFormatId, @ScoreId, @TipificationId, @QueryId, 
			@QueryContent, @AcceptancePercentage, GETUTCDATE()
		)
	END
	-- select * from [EvaluationFormatAbilityScoreTipificationQuery]
	SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
