SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
CREATE PROCEDURE [dbo].[SaveRoutePermission] (
	@VCC Varchar(50) = NULL, @ID Varchar(50) = NULL, @GroupId Varchar(200) = NULL, 
	@Route Varchar(250) = NULL,	@Level Varchar(50) = NULL
	)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [RoutePermission] SET
		[TimeStamp] = GETUTCDATE()
	WHERE [VCC] = @VCC
	AND [ID] = @ID
	AND [GroupId] = @GroupId
	
    IF @@ROWCOUNT = 0
		INSERT INTO [RoutePermission] (
			[VCC], [ID], [GroupId],
			[Route], [Level], [TimeStamp]
			)
		VALUES (
			@VCC, @ID, @GroupId,
			@Route, @Level, GETUTCDATE()	
		)

    SELECT 1 AS 'result'
    
    SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
