SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO
-- [dbo].[SaveUserAccessToken] 'default', 'admin', 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpYXQiOjE1MjgzMjQwNDEsIm5iZiI6MTUyODMyNDA0MSwianRpIjoiZDVhY2E2NzAtNjgzMC00MGIzLTkwMDktZGY0NWFkNmY3YzNlIiwiZXhwIjoxNTI4OTI4ODQxLCJpZGVudGl0eSI6ImluX2NvbmNlcnQiLCJmcmVzaCI6ZmFsc2UsInR5cGUiOiJhY2Nlc3MifQ.84IHnM3YimnSHXUvxLR9iUBPrlwFaQ2Fs5AtmBY7td8', 'in_concert', '2018-06-07 15:47:56.363'
CREATE PROCEDURE [dbo].[SaveUserAccessToken]
(
	@VCC						VARCHAR(50),
	@UserName					VARCHAR(50),
	@AccessToken				VARCHAR(2000),
	@Realm						VARCHAR(100),
	@CreatedDate				DATETIME
)
AS
BEGIN
	SET NOCOUNT ON

	UPDATE [dbo].[UserAccessToken] SET
		[AccessToken] = @AccessToken,
		[CreatedDate] = @CreatedDate
	WHERE [VCC] = @VCC
	AND [UserName] = @UserName

	IF @@ROWCOUNT = 0
	BEGIN
		INSERT INTO [dbo].[UserAccessToken](
			[VCC], [UserName], [AccessToken], [Realm], [CreatedDate]
		)
		VALUES(
			@VCC, @UserName, @AccessToken, @Realm, @CreatedDate
		)
	END

	SELECT 1 AS 'result'

	SET NOCOUNT OFF
END
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS OFF 
GO

GO
