CREATE TABLE [dbo].[SentimentAnalysisResult] (
   [VCC] [varchar](50) NOT NULL ,
   [InteractionId] [varchar](250) NOT NULL ,
   [InteractionSection] [numeric](5,0) NOT NULL  ,
   [InteractionPart] [numeric](5,0) NOT NULL  ,
   [InteractionType] [varchar](50) NOT NULL ,
   [InteractionInterval] [numeric](5,0) NOT NULL  ,
   [AnalysisType] [varchar](50) NOT NULL ,
   [SentimentId] [varchar](50) NOT NULL ,
   [AppId] [varchar](50) NOT NULL ,
   [Score] [numeric](10,5) NULL  ,
   [MaxScore] [bit] NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [EndDate] [datetime] NULL   

   ,CONSTRAINT [PK__Sentimen__A53A5F5D580DBCC9] PRIMARY KEY CLUSTERED ([VCC], [InteractionId], [InteractionSection], [InteractionPart], [InteractionType], [InteractionInterval], [AnalysisType], [SentimentId], [AppId])
)


GO
