CREATE TABLE [dbo].[StudyDetail] (
   [VCC] [varchar](50) NOT NULL ,
   [StudyId] [varchar](200) NOT NULL ,
   [TemplateThemeId] [varchar](200) NOT NULL ,
   [TemplateThemeItemId] [varchar](200) NOT NULL ,
   [TranscriptionId] [varchar](250) NOT NULL ,
   [Total] [int] NULL   ,
   [Duration] [float] NULL   ,
   [Silence] [float] NULL   ,
   [OtherDuration] [float] NULL   ,
   [OtherSilence] [float] NULL   ,
   [Confidence] [float] NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   ,
   [IsMatched] [bit] NULL 
      CONSTRAINT [DF__StudyDeta__IsMat__4FF1D159] DEFAULT ('0')  

   ,CONSTRAINT [PK_StudyDetail_1] PRIMARY KEY CLUSTERED ([VCC], [StudyId], [TemplateThemeId], [TemplateThemeItemId], [TranscriptionId])
)


GO
