CREATE TABLE [dbo].[TemplateThemeItem] (
   [VCC] [varchar](50) NOT NULL ,
   [TemplateId] [varchar](50) NOT NULL ,
   [TemplateThemeId] [varchar](200) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [AcceptancePercentage] [decimal](5,2) NULL 
      CONSTRAINT [DF__TemplateT__Accep__25FB978D] DEFAULT ('0') ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_TemplateThemeItem] PRIMARY KEY CLUSTERED ([VCC], [TemplateId], [TemplateThemeId], [ID])
)


GO
