CREATE TABLE [dbo].[User] (
   [VCC] [varchar](50) NOT NULL ,
   [ID] [varchar](50) NOT NULL ,
   [Email] [varchar](100) NULL ,
   [Firstname] [varchar](100) NULL ,
   [Lastname] [varchar](100) NULL ,
   [Password] [varchar](100) NULL ,
   [Role] [varchar](50) NULL ,
   [Country] [varchar](50) NULL ,
   [Language] [varchar](50) NULL ,
   [TimeZone] [varchar](50) NULL ,
   [Preferences] [varchar](200) NULL ,
   [IsSystemUser] [bit] NULL   ,
   [IsLocalSupervisor] [bit] NULL 
      CONSTRAINT [DF_User_IsLocalSupervisor] DEFAULT ((0))  ,
   [IsExternalSupervisor] [bit] NULL 
      CONSTRAINT [DF_User_IsExternalSupervisor] DEFAULT ((0))  ,
   [IsExternalAgent] [bit] NULL 
      CONSTRAINT [DF_User_IsExternalAgent] DEFAULT ((0))  ,
   [LimitClients] [bit] NULL   ,
   [API] [bit] NULL   ,
   [CreatedDate] [datetime] NULL   ,
   [CreatedByUserId] [varchar](50) NULL ,
   [LastModifiedDate] [datetime] NULL   ,
   [LastModifiedByUserId] [varchar](50) NULL ,
   [TimeStamp] [datetime] NULL   

   ,CONSTRAINT [PK_User] PRIMARY KEY CLUSTERED ([VCC], [ID])
)


GO
